/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.Adresa;
import domen.FizickoLice;
import domen.Mesto;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Cuko
 */
public class ModelTabeleFizickoLice  extends AbstractTableModel{
    List<FizickoLice> LF;

    public ModelTabeleFizickoLice(List<FizickoLice> LF) {
        this.LF = LF;
    }
    

    @Override
    public int getRowCount() {
        if(LF.size()==0)
            return 0;
        return LF.size();
        
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice fl=LF.get(rowIndex);
        if(columnIndex==0) return fl.getImePrezime();
        if(columnIndex==1) return fl.getJMBG();
        if(columnIndex==2) return fl.getAdresa();
        if(columnIndex==3) return fl.getAdresa().getMesto().getNaziv();
        return "nikad";
    }
    @Override
    public String getColumnName(int column1) {
        if(column1==0) return "Ime i Prezime";
        if(column1==1) return "JMBG";
        if(column1==2) return "Adresa";
         if(column1==3) return "Mesto";
        
      return "mora nesto od prethodnog";
    }
    
    public void dodajRed(FizickoLice fl){
        LF.add(fl);
        fireTableDataChanged();
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
         return true;
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        FizickoLice fl = LF.get(rowIndex);
        
        switch (columnIndex){
            case 0: fl.setImePrezime(String.valueOf(aValue));
                    break;
            case 1: fl.setJMBG(String.valueOf(aValue));
                    break;
            case 2: Adresa adr = fl.getAdresa();
                    // Parsirajte na ulicu i broj
                    adr.setNazivUlice(String.valueOf(aValue));
                    fl.setAdresa(adr);
                    break;
            case 3: System.out.println(aValue.getClass().getSimpleName());    
                    fl.getAdresa().setMesto((Mesto) aValue);
        }
        
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        return super.getColumnClass(columnIndex); //To change body of generated methods, choose Tools | Templates.
    }
    
    
    
    
    
    
    
    
    
}
    

