/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import transfer.KlijentTransferObjekat;
import transfer.ServerTransferObjekat;

/**
 *
 * @author student1
 */
public class Kontroler {

    private static Kontroler instanca;
    
    private Socket soket;
    private ObjectInputStream inSoket;
    private ObjectOutputStream outSoket;

    public static Kontroler vratiInstancu() {
        if (instanca == null) {
            instanca = new Kontroler();
        }
        return instanca;
    }

    public Socket getSoket() {
        return soket;
    }

    public void setSoket(Socket soket) {
        this.soket = soket;
    }


   

    public ServerTransferObjekat sacuvajMesto(Mesto mesto) throws Exception {

        KlijentTransferObjekat kto = new KlijentTransferObjekat();
        kto.setOperacija(konstante.Konstante.SACUVAJ_MESTO);
        kto.setPodatak(mesto);
        outSoket = new ObjectOutputStream(soket.getOutputStream());
        outSoket.writeObject(kto);

        //Pogledaj rezultat izvrsenja operacije
        inSoket = new ObjectInputStream(soket.getInputStream());
        ServerTransferObjekat sto = (ServerTransferObjekat) inSoket.readObject();
        return sto;

    }
    public ServerTransferObjekat vratiSvaMesta() throws IOException, ClassNotFoundException{
        KlijentTransferObjekat kto = new KlijentTransferObjekat();
        kto.setOperacija(konstante.Konstante.VRATI_SVA_MESTA); 
        
        outSoket = new ObjectOutputStream(soket.getOutputStream());
        outSoket.writeObject(kto);
        
        inSoket = new ObjectInputStream(soket.getInputStream());
        ServerTransferObjekat sto = (ServerTransferObjekat) inSoket.readObject();
        return sto;
    }
}
