/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package so;

import db.DbKomunikacija;

/**
 *
 * @author student1
 */
public abstract class OpstaSO {
    
    public final void izvrsiOperaciju(Object obj) throws Exception {
        try {
            DbKomunikacija.vratiObjekat().ucitajDriver();
            DbKomunikacija.vratiObjekat().uspostaviKonekciju();
            proveriPreduslov(obj);
            izvrsiKonkretnuOperaciju(obj);
            DbKomunikacija.vratiObjekat().commitTransakcije();
        } catch (Exception ex) {
            DbKomunikacija.vratiObjekat().rollbackTransakcije();
            throw ex;
        } finally {
            DbKomunikacija.vratiObjekat().zatvoriKonekciju();
        }
        
    }
    
    //specificno za svaku SO
    protected abstract void proveriPreduslov(Object obj) throws Exception;

    protected abstract void izvrsiKonkretnuOperaciju(Object obj) throws Exception;
    
    
}
