package server;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import transfer.TransferKlijentObjekat;
import transfer.TransferServerObjekat;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author student1
 */
public class Server {
    
    public static void main(String[] args) {
        
        try {
            ServerSocket ss = new ServerSocket(9000);
            Socket s = ss.accept();
            
            obradiKlijenta(s);
            
            
        } catch (IOException iOException) {
        }
        
    }
    
    private static void obradiKlijenta(Socket s) {
        while (true) {
            try {
                ObjectInputStream insocket = new ObjectInputStream(s.getInputStream());
                Object o = insocket.readObject();
                TransferKlijentObjekat tko = (TransferKlijentObjekat) o;
                
                int operacija = tko.getOperacija();
                TransferServerObjekat tso = new TransferServerObjekat();
                
                
                switch (operacija) {
                    case konstante.Konstante.SACUVAJ_MESTO:
                        //sacuvajmesto
                        Mesto m = (Mesto) tko.getParametar();
                        try {
                            kontroler.Kontroler.vratiObjekat().sacuvajMesto(m);
                            tso.setUspesnostOperacije(true);
                        } catch (Exception exception) {
                            tso.setUspesnostOperacije(false);
                            tso.setPorukaOGresci("Mesto nije sacuvano");
                        }
                        break;
                }
                
                ObjectOutputStream outsoket = new ObjectOutputStream(s.getOutputStream());
                outsoket.writeObject(tso);
                
            } catch (Exception ex) {
                Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
            }
            
        }
    }
}
