/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class Mesto implements Serializable, OpstiDomenskiObjekat {

    private long ptt;
    private String naziv;

    public Mesto(long pttBroj, String naziv) {
        ptt = pttBroj;
        this.naziv = naziv;
    }

    public Mesto() {
        ptt = 0;
        naziv = "";
    }

    /**
     * @return the ptt
     */
    public long getPtt() {
        return ptt;
    }

    /**
     * @return the naziv
     */
    public String getNaziv() {
        return naziv;
    }

    @Override
    public String toString() {
        return getNaziv();
    }

    /**
     * @param ptt the ptt to set
     */
    public void setPtt(long ptt) {
        this.ptt = ptt;
    }

    /**
     * @param naziv the naziv to set
     */
    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    @Override
    public String vratiNazivTabele() {
        return "Mesto";
    }

    @Override
    public String vratiVrednostiZaInsert() {
        return getPtt() + ",'" + getNaziv() + "'";
    }

    @Override
    public List<OpstiDomenskiObjekat> vratiListuIzRS(ResultSet rs) {
         List<OpstiDomenskiObjekat> lm = new ArrayList<>();
        try {
           
            while (rs.next()) {            
                long ptt = rs.getLong("Ptt");
                String naziv = rs.getString("Naziv");
                Mesto m =new Mesto(ptt, naziv);
                lm.add(m);
            }
            return lm;
        } catch (Exception ex) {
            return lm;
        }
    }
}
