/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package so;

import db.DbKomunikacija;

/**
 *
 * @author student1
 */
public abstract class OpstaSO {
    
    public final void izvrsiOperaciju(Object o) throws Exception{
        try{
            DbKomunikacija.vratiObjekat().ucitajDriver();
            DbKomunikacija.vratiObjekat().uspostaviKonekciju();
            
            proveriPreduslov(o);
            izvrsiKonkretnuOperaciju(o);
            
            DbKomunikacija.vratiObjekat().commitTransakcije();
        }catch(Exception e){
            DbKomunikacija.vratiObjekat().rollbackTransakcije();
            throw e;
        }
        finally{
            DbKomunikacija.vratiObjekat().zatvoriKonekciju();
        }
    }

    protected abstract void proveriPreduslov(Object o) throws Exception;

    protected abstract void izvrsiKonkretnuOperaciju(Object o) throws Exception;

}
