/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dbbr;

import domen.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class DBBroker {
    
    Connection konekcija;
    
    public void otvoriBazu() throws Exception{
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");                       
            konekcija = DriverManager.getConnection("jdbc:odbc:PARTNERI_D4");
        
    }
    
    public void zatvoriBazu() throws SQLException{
        konekcija.close();
    }
    
    
    public void sacuvajMesto(Mesto m) throws Exception{
        try {
//            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
//            
//            Connection konekcija = DriverManager.getConnection("jdbc:odbc:PARTNERI_D4");
            
//            String upit = "INSERT INTO MESTO VALUES("+m.getPtt()+",'"+m.getNaziv()+"')";
//            System.out.println("upit:"+upit);            
//            Statement naredba = konekcija.createStatement();
            
            String upit = "INSERT INTO MESTO VALUES(?,?)";
            PreparedStatement naredba = konekcija.prepareStatement(upit);
            naredba.setInt(1, (int)m.getPtt());
            naredba.setString(2, m.getNaziv());
            
            naredba.executeUpdate();
            System.out.println("prosao je upit");
            
        
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw ex;
        }
        
        
    }
    
    
    public List<Mesto> vratiSvaMesta() throws SQLException{
        
        List<Mesto> listaMesta = new ArrayList<>();
        
        String upit = "SELECT * FROM MESTO";
        
        Statement naredba= konekcija.createStatement();
        ResultSet rs = naredba.executeQuery(upit);
        
        while(rs.next()){
            Mesto m = new Mesto();
            m.setPtt(rs.getLong("ptt"));
            m.setNaziv(rs.getString("naziv"));
            listaMesta.add(m);
        }
        
        
        return listaMesta;
        
        
        
    }
    
    
    
    
    
    public static void main(String[] args) {
        
        DBBroker dBBroker = new DBBroker();
        try {
            dBBroker.sacuvajMesto(new Mesto());
        } catch (Exception ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
            
    
    
}
