/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import domen.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class DBBroker {
    
    
    
    public void sacuvajMesto(Mesto m) throws Exception{
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2_Partneri");
            
//            String upit = "INSERT INTO MESTO VALUES ("+m.getPtt()+",'"+m.getNaziv()+"')";
//            Statement naredba = konekcija.createStatement();
//            naredba.executeUpdate(upit);
            
            
              String upit = "INSERT INTO MESTO VALUES (?,?)";
              PreparedStatement naredba = konekcija.prepareStatement(upit);
              naredba.setInt(1, m.getPtt());
              naredba.setString(2, m.getNaziv());
              naredba.executeUpdate();
            
              konekcija.close();
              
            
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception("Nije uspesno ucitan drajver!!!");
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
    
    
    public ArrayList<Mesto> vratiSvaMesta() throws Exception{
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2_Partneri");
            
            
            String upit = "SELECT * FROM MESTO";
            Statement naredba = konekcija.createStatement();
            ResultSet rs = naredba.executeQuery(upit);
            ArrayList<Mesto> listaMesta = new ArrayList<>();
            
            while (rs.next()){
                
                Mesto m = new Mesto();
                
                m.setPtt(rs.getInt("ptt"));
                m.setNaziv(rs.getString("naziv"));
                
                listaMesta.add(m);
            }
            
            return listaMesta;
            
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception("Nije ucitan drajver!!!");
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw ex;
        }
           
        
        
        
    }
    
    
    
    
}
