/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.modeltabele;

import domen.FizickoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickoLice extends  AbstractTableModel{

    List<FizickoLice> listaFizickihLica;

    public TableModelFizickoLice(List<FizickoLice> listaFizickihLica) {
        this.listaFizickihLica = listaFizickihLica;
    }
    
    
    
    @Override
    public int getRowCount() {
        return listaFizickihLica.size();
    }

    @Override
    public int getColumnCount() {
      return 7; 
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        
        FizickoLice fl = listaFizickihLica.get(rowIndex);
        
        switch (columnIndex){
            
            case 0: return fl.getIme();
                
            case 1:return fl.getPrezime();
                
            case 2: return fl.getJmbg();
                
            case 3: return fl.getGodRodj();
                
            case 4: return fl.getAdresa().getNazivUlice();
                
            case 5: return fl.getAdresa().getBroj();
                
            case 6: return fl.getAdresa().getMesto();    
            
            default: return "nepoznat podatak";
        }
        
        
        
    }

    @Override
    public String getColumnName(int column) {
        switch (column){
            
            case 0: return "ime";
                
            case 1:return "prezime";
                
            case 2: return "jmbg";
                
            case 3: return "godina rodjenja";
                
            case 4: return "naziv ulice";
                
            case 5: return "broj";
                
            case 6: return "mesto";    
            
            default: return "nepoznat podatak";
        } //To change body of generated methods, choose Tools | Templates.
    }
    
    
    
}
