/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.modeltabele;

import domen.FizickoLice;
import domen.Mesto;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickoLice extends  AbstractTableModel{

    List<FizickoLice> listaFizickihLica;

    public TableModelFizickoLice(List<FizickoLice> listaFizickihLica) {
        this.listaFizickihLica = listaFizickihLica;
    }
    
    
    
    @Override
    public int getRowCount() {
        return listaFizickihLica.size();
    }

    @Override
    public int getColumnCount() {
      return 7; 
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        
        FizickoLice fl = listaFizickihLica.get(rowIndex);
        
        switch (columnIndex){
            
            case 0: return fl.getIme();
                
            case 1:return fl.getPrezime();
                
            case 2: return fl.getJmbg();
                
            case 3: return fl.getGodRodj();
                
            case 4: return fl.getAdresa().getNazivUlice();
                
            case 5: return fl.getAdresa().getBroj();
                
            case 6: return fl.getAdresa().getMesto();    
            
            default: return "nepoznat podatak";
        }
        
        
        
    }

    @Override
    public String getColumnName(int column) {
        switch (column){
            
            case 0: return "ime";
                
            case 1:return "prezime";
                
            case 2: return "jmbg";
                
            case 3: return "godina rodjenja";
                
            case 4: return "naziv ulice";
                
            case 5: return "broj";
                
            case 6: return "mesto";    
            
            default: return "nepoznat podatak";
        } //To change body of generated methods, choose Tools | Templates.
    }
    
    
    public void dodajFizickoLice(FizickoLice fl){
        listaFizickihLica.add(fl);
        fireTableDataChanged();
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return true;
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        
        FizickoLice fl = listaFizickihLica.get(rowIndex);
        
        switch(columnIndex){
            
            case 0: fl.setIme((String)aValue);
                    break;
            case 1: fl.setPrezime((String)aValue);  
                    break;
            case 2: fl.setJmbg((String)aValue);
                    break;
            case 3: fl.setGodRodj((Integer)aValue);
                    break;
            case 4: fl.getAdresa().setNazivUlice((String)aValue);;
                    break;
            case 5: fl.getAdresa().setBroj((String)aValue);
                    break;
            case 6: fl.getAdresa().setMesto((Mesto)aValue);
                
            
            
        }
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        switch(columnIndex){
            case 0: return String.class;
            case 1: return String.class;
            case 2: return String.class;
            case 3: return Integer.class;    
            default: return Object.class;
        }
    }
    
    
    
    public List<FizickoLice> vratiListu(){        
        return listaFizickihLica;
    }
    
    public FizickoLice vratiRed(int rowIndex){
        return listaFizickihLica.get(rowIndex);        
    }
}
