/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package remote;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import konstante.Operacije;
import logic.Kontroler;

/**
 *
 * @author student1
 */
public class KomunikacijaServer {

    ObjectOutputStream out;
    ObjectInputStream in;

    public void startujServer() throws IOException {

        // kreiran je serverski soket
        ServerSocket serverSoket = new ServerSocket(9800);
        System.out.println("Server je podignut i ceka na klijente!");
        Socket vezaSaKlijentom = serverSoket.accept();
        out = new ObjectOutputStream(vezaSaKlijentom.getOutputStream());
        in = new ObjectInputStream(vezaSaKlijentom.getInputStream());
    }

    public void izvrsiZahtevKlijenta() throws IOException, ClassNotFoundException {

        TransferKlasa tk = (TransferKlasa) in.readObject();

        switch (tk.getOperacija()) {

            case Operacije.SACUVAJ_MESTO:
                Mesto m = (Mesto) tk.getKlijentskiObjekat();
                try {
                    Kontroler.getInstance().dodajMesto(m);
                } catch (Exception ex) {
                    Logger.getLogger(KomunikacijaServer.class.getName()).log(Level.SEVERE, null, ex);
                    tk.setIzuzetak(ex);
                }
                break;

        }
       
        //saljemo objekat tk ka klijentu
        out.writeObject(tk);        
    }
    
    
    
    
}
