/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.FizickoLice;
import domen.Mesto;
import domen.PoslovniPartner;
import domen.PravnoLice;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class KolekcijaPartnera {
    private static List<PoslovniPartner> lista = new ArrayList<>();
    
    public static List<PoslovniPartner> vratiSvePartnere() {
        return lista;
    }
    
    public static void dodajPartnera(PoslovniPartner partner) {
        lista.add(partner);
    }
    
    public static List<PoslovniPartner> vratiSvePartnere (Mesto mesto) {
        List<PoslovniPartner> listaPartneraIzMesta = new ArrayList<>();
        for (PoslovniPartner p : lista) {
            if (p.getAdresa().getMesto().equals(mesto)) {
                listaPartneraIzMesta.add(p);
            }
        }
        return listaPartneraIzMesta;
    }
    
    public static List<PravnoLice> vratiSvaPravnaLica(){
        List<PravnoLice> listaPL = new ArrayList<PravnoLice>();
        for (PoslovniPartner pP : lista) {
            if(pP instanceof PravnoLice)
                listaPL.add((PravnoLice)pP);
        }
        return listaPL;
    }
    
}
