/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.partner.model;

import domen.FizickoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Korisnik
 */
public class FizickoLiceModelTabele extends AbstractTableModel {
    private List<FizickoLice> lista;

    public FizickoLiceModelTabele(List<FizickoLice> lista) {
        this.lista = lista;
    }

    @Override
    public int getRowCount() {
        if (lista == null) {
            return 0;
        }
        return lista.size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice f = lista.get(rowIndex);
        switch (columnIndex) {
            case 0: return f.getIme();
            case 1: return f.getPrezime();
            case 2: return f.getJmbg();
            case 3: return f.getGodRodj();
            case 4: return f.getAdresa();
            default: return "";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0: return "Ime";
            case 1: return "Prezime";
            case 2: return "JMBG";
            case 3: return "Godina rodjenja";
            case 4: return "Adresa";
            default: return "";
        }
    }
}
