/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.partner.model;

import domen.PravnoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabelePravnoLice extends AbstractTableModel {
    private List<PravnoLice> lista;

    public ModelTabelePravnoLice(List<PravnoLice> lista) {
        this.lista = lista;
    }
    
    @Override
    public int getRowCount() {
        if (lista != null) {
            return lista.size();
        }
        return 0;
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        PravnoLice p = lista.get(rowIndex);
        if (columnIndex == 0) return p.getNaziv();
        if (columnIndex == 1) return p.getMatBroj();
        if (columnIndex == 2) return p.getZr();
        if (columnIndex == 3) return p.getAdresa();
        return "n/a";
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0: return "Naziv";
            case 1: return "Mat. broj";
            case 2: return "Ziro racun";
            case 3: return "Adresa";
            default: return "n/a";
        }
    }
}
