/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.sql.ResultSet;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class Mesto implements Serializable, OpstiDomenskiObjekat {
    private long ptt;
    private String naziv;

    public Mesto(long ptt, String naziv) {
        this.ptt = ptt;
        this.naziv = naziv;
    }
    
    public Mesto() {
        this.naziv = "n/a";
        this.ptt = 0;
    }

    public long getPtt() {
        return ptt;
    }

    public void setPtt(long ptt) {
        this.ptt = ptt;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    @Override
    public String toString() {
        return ptt + " - " + naziv;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj != null && obj instanceof Mesto) {
            Mesto m = (Mesto) obj;
            if (m.getPtt() == this.ptt) {
                return true;
            }
        }
        return false;
    }

    @Override
    public String vratiNazivTabele() {
        return "Mesto";
    }

    @Override
    public String vratiVrednostiZaInsert() {
        return ptt + ",'" + naziv + "'";
    }

    @Override
    public List<OpstiDomenskiObjekat> napuni(ResultSet rs) throws Exception {
        List<OpstiDomenskiObjekat> lo = new ArrayList<OpstiDomenskiObjekat>();
        while (rs.next()) {
            int ptt = rs.getInt("Ptt");
            String naziv = rs.getString("Naziv");
            Mesto mesto = new Mesto(ptt, naziv);
            lo.add(mesto);
        }
        return lo;
    }
}
