/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package so;

import baza.DatabaseBroker;

/**
 *
 * @author student1
 */
public abstract class OpstaSO {
    
    public final void izvrsiOperaciju(Object obj) throws Exception {
        try {
            DatabaseBroker.vratiObjekat().ucitajDrajver();
            DatabaseBroker.vratiObjekat().otvoriKonekciju();
            proveriPreduslov(obj);
            izvrsiKonkretnuOperaciju(obj);
            DatabaseBroker.vratiObjekat().commitTransakcije();
        } catch(Exception ex) {
            DatabaseBroker.vratiObjekat().rollbackTransakcije();
            throw ex;
        } finally {
            DatabaseBroker.vratiObjekat().zatvoriKonekciju();
        }
    }

    //specificno za svaku SO
    protected abstract void proveriPreduslov(Object obj) throws Exception;

    protected abstract void izvrsiKonkretnuOperaciju(Object obj) throws Exception;
    
}
