/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package nitobrada;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import kontroler.Kontroler;
import transfer.TransferObjekat;

/**
 *
 * @author student1
 */
public class NitObradaKlijenta extends Thread{
    
    
 Socket socket;
 private boolean kraj = false;
    
    public NitObradaKlijenta(Socket soket) {
        this.socket = soket;
    }

    @Override
    public void run() {
     try {
         
         izvrsenjeOperacija();
         
         
     } catch (IOException ex) {
         Logger.getLogger(NitObradaKlijenta.class.getName()).log(Level.SEVERE, null, ex);
     } catch (ClassNotFoundException ex) {
         Logger.getLogger(NitObradaKlijenta.class.getName()).log(Level.SEVERE, null, ex);
     }
    }
    
    
    
    
    public void izvrsenjeOperacija() throws IOException, ClassNotFoundException {
        while (!kraj) {
            ObjectInputStream inSocket = new ObjectInputStream(socket.getInputStream());
            TransferObjekat toZahtev = (TransferObjekat) inSocket.readObject();
            TransferObjekat toOdgovor = new TransferObjekat();
            try {
                switch (toZahtev.getOperacija()) {
                    case TransferObjekat.SACUVAJ_MESTO:
                        System.out.println("O: " + TransferObjekat.SACUVAJ_MESTO);
                        Mesto m = (Mesto) toZahtev.getParametar();
                        Kontroler.vratiObjekat().sacuvajMesto(m);
                        toOdgovor.setRezultat("Mesto je uspesno sacuvano!");
                        break;
                }
            } catch (Exception ex) {
                toOdgovor.setRezultat("Mesto nije sacuvano");
                toOdgovor.setIzuzetak(ex);
            }
            posaljiOdgovor(toOdgovor);
        }

    }

    private void posaljiOdgovor(TransferObjekat toOdgovor) throws IOException {
        ObjectOutputStream outSocket = new ObjectOutputStream(socket.getOutputStream());
        outSocket.writeObject(toOdgovor);
    }
    
    
    
    
    
    
}
