/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package logic;

import domain.FizickoLice;
import domain.Mesto;
import domain.PoslovniPartner;
import java.util.ArrayList;

/**
 *
 * @author student1
 */
public class Kontroler {
    private ArrayList<Mesto> mesta;
    private ArrayList<PoslovniPartner> poslovniPartneri;
    
    private static Kontroler instance;
    public static Kontroler getInstance(){
        if(instance==null){
            instance=new Kontroler();
        }
        return instance;
    }
    
    private Kontroler(){
        mesta=new ArrayList<Mesto>();
        poslovniPartneri = new ArrayList<>();
    }
    
    public void dodajMesto(Mesto mesto){
        mesta.add(mesto);
        System.out.println(mesta);
    }
    
    public ArrayList<Mesto> vratiSvaMesta(){
        return mesta;
    }
    
    public void dodajPartnera(PoslovniPartner p){
        poslovniPartneri.add(p);
    }
    
    public ArrayList<PoslovniPartner> vratiSvePartnere(){
        return poslovniPartneri;
    }
    
    public ArrayList<PoslovniPartner> vratiPoslovnePartnereIzMesta(Mesto mesto){
        ArrayList<PoslovniPartner> poslovniPartneriIzMesta=new ArrayList<>();
        for (PoslovniPartner poslovniPartner : poslovniPartneri) {
            if(poslovniPartner.getAdresa().getMesto().equals(mesto)){
                poslovniPartneriIzMesta.add(poslovniPartner);
            }
        }
        return poslovniPartneriIzMesta;
    }
    
    public ArrayList<FizickoLice> vratiSvaFizickaLica(){
        ArrayList<FizickoLice> fizickaLica=new ArrayList<>();
        for (PoslovniPartner poslovniPartner : poslovniPartneri) {
            if(poslovniPartner instanceof FizickoLice){
                fizickaLica.add((FizickoLice)poslovniPartner);
            }
        }
        return fizickaLica;
    }
}
