/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.FizickoLice;
import domain.Mesto;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickoLice extends AbstractTableModel{

    ArrayList<FizickoLice> fizickaLica;

    public TableModelFizickoLice(ArrayList<FizickoLice> fizickaLica) {
        this.fizickaLica = fizickaLica;
    }
    
    
    
    @Override
    public String getColumnName(int column) {
        switch(column){
            case 0: return "Ime";
            case 1: return "Prezime";
            case 2: return "JMBG";
            case 3: return "Ulica";
            case 4: return "Broj";
            case 5: return "Mesto";
            case 6: return "Kontakt";
            default: return "N/A";
        }
    }
    
    @Override
    public int getRowCount() {
        return fizickaLica.size();
    }

    @Override
    public int getColumnCount() {
        return 7;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice fizickoLice=fizickaLica.get(rowIndex);
        switch (columnIndex){
            case 0: return fizickoLice.getIme();
            case 1: return fizickoLice.getPrezime();
            case 2: return fizickoLice.getJmbg();
            case 3: return fizickoLice.getAdresa().getUlica();
            case 4: return fizickoLice.getAdresa().getBroj();
            case 5: return fizickoLice.getAdresa().getMesto();
            case 6: return fizickoLice.getKontakt();
            default: return null;
        }
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        switch (columnIndex){
            case 0: return String.class;
            case 1: return String.class;
            case 2: return String.class;
            case 3: return String.class;
            case 4: return String.class;
            case 5: return Mesto.class;
            case 6: return String.class;
            default: return null;
        }
    }
    
    
    
}
