/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import domain.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

/**
 *
 * @author student1
 */
public class DatabaseBroker {
    Connection connection;
    public void otvoriBazu() throws ClassNotFoundException, SQLException{
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        String url="jdbc:odbc:partneri";
        String user="";
        String password="";
        connection=DriverManager.getConnection(url, user, password);
    }
    
    public void zatvoriBazu() throws SQLException{
        connection.close();
    }
    
    public void ubaciMesto(Mesto mesto) throws ClassNotFoundException, SQLException{      
        String upit="INSERT INTO mesto (pttbroj,naziv) VALUES ("+mesto.getPtt()+",'"+mesto.getNaziv()+"')";
        Statement statement=connection.createStatement();
        statement.executeUpdate(upit);
        statement.close();     
    }
    
    public void ubaciMestoBoljiNacin(Mesto mesto) throws ClassNotFoundException, SQLException{      
        String upit="INSERT INTO mesto (pttbroj,naziv) VALUES (?,?)";
        PreparedStatement statement=connection.prepareStatement(upit);
        statement.setInt(1, mesto.getPtt());
        statement.setString(2, mesto.getNaziv());
        statement.executeUpdate();
        statement.close();     
    }
    
    public ArrayList<Mesto> vratiSvaMesta() throws SQLException{
        ArrayList<Mesto> mesta=new ArrayList<>();
        String upit="SELECT pttbroj, naziv FROM Mesto";
        Statement statement=connection.createStatement();
        ResultSet rs=statement.executeQuery(upit);
        while(rs.next()){
            int ptt=rs.getInt("pttbroj");
            String naziv=rs.getString("naziv");
            Mesto mesto=new Mesto(ptt, naziv);
            mesta.add(mesto);
        }
        rs.close();
        statement.close();
        return mesta;
    }
    
}
