/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.FizickoLice;
import domain.Mesto;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickoLice extends AbstractTableModel{

    ArrayList<FizickoLice> fizickaLica;
    String[] columnNames=new String[]{"poslovniPartnerID","Ime","Prezime","JMBG","Ulica","Broj","Mesto","Kontakt"};

    public TableModelFizickoLice(ArrayList<FizickoLice> fizickaLica) {
        this.fizickaLica = fizickaLica;
    }
    
    
    
    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }
    
    @Override
    public int getRowCount() {
        return fizickaLica.size();
    }

    @Override
    public int getColumnCount() {
        return 8;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice fizickoLice=fizickaLica.get(rowIndex);
        switch (columnIndex){
            case 0: return fizickoLice.getPoslovniPartnerID();
            case 1: return fizickoLice.getIme();
            case 2: return fizickoLice.getPrezime();
            case 3: return fizickoLice.getJmbg();
            case 4: return fizickoLice.getAdresa().getUlica();
            case 5: return fizickoLice.getAdresa().getBroj();
            case 6: return fizickoLice.getAdresa().getMesto();
            case 7: return fizickoLice.getKontakt();
            default: return null;
        }
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        switch (columnIndex){
            case 0: return Integer.class;
            case 1: return String.class;
            case 2: return String.class;
            case 3: return String.class;
            case 4: return String.class;
            case 5: return String.class;
            case 6: return Mesto.class;
            case 7: return String.class;
            default: return null;
        }
    }
    
    
    
}
