/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.FizickoLice;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickaLica extends AbstractTableModel{

    ArrayList<FizickoLice> fizickaLica;
    String[] naziviKolona=new String[]{"Sifra poslovnog partnera","Ime","Prezime","JMBG","Ulica","Broj","Mesto","Kontakt"};

    public TableModelFizickaLica(ArrayList<FizickoLice> fizickaLica) {
        this.fizickaLica = fizickaLica;
    }

    @Override
    public String getColumnName(int column) {
        return naziviKolona[column];
    }
    
    @Override
    public int getRowCount() {
        return fizickaLica.size();
    }

    @Override
    public int getColumnCount() {
        return naziviKolona.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice fl=fizickaLica.get(rowIndex);
        switch(columnIndex){
            case 0: return fl.getPoslovniPartnerID();
            case 1: return fl.getIme();
            case 2: return fl.getPrezime();
            case 3: return fl.getJmbg();
            case 4: return fl.getAdresa().getUlica();
            case 5: return fl.getAdresa().getBroj();
            case 6: return fl.getAdresa().getMesto();
            case 7: return fl.getKontakt();
            default:return "N/A";
        }
    }
    
}
