/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package komunikacija;

import domain.Mesto;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import remote.TransferKlasa;

/**
 *
 * @author student1
 */
public class Komunikacija {
    private Socket socket;
    private static Komunikacija instance;
    
    public static Komunikacija getInstance() throws Exception {
        if (instance == null) {
            instance = new Komunikacija();
        }
        return instance;
    }
    
    private Komunikacija() throws Exception {
        socket = new Socket("127.0.0.1", 9000);
    }
    
    public String sacuvajMesto(Mesto mesto) throws Exception {
        TransferKlasa tk = new TransferKlasa();
        tk.setOperacija(TransferKlasa.SACUVAJ_MESTO);
        tk.setParematar(mesto);
        
        ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        ObjectInputStream in = new ObjectInputStream(socket.getInputStream());
        
        out.writeObject(tk);
        
        TransferKlasa odgovor = (TransferKlasa) in.readObject();
        return (String)odgovor.getPoruka();
    }
    
}
