/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import domen.FizickoLice;
import domen.Mesto;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class KomunikacijaSaDB {
    public static void sacuvajMesto(Mesto m) throws Exception{
        try {
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D1");
            String upit = "INSERT INTO TMESTO VALUES("+m.getPtt()+",'"+m.getNaziv()+"')";
            System.out.println(upit);
            Statement statement = konekcija.createStatement();
            statement.executeUpdate(upit);
            statement.close();
            konekcija.close();
            System.out.println("Uspesno izvrsena operacija");
            
        } catch (SQLException ex) {
            //jOptionPane
            System.out.println("Greska je:"+ "Verovatno mesto sa unetim ptt brojem postoji");
            throw new Exception("Mesto nije sacuvano");
            
            
        }
    }
    public static void sacuvajMesto_(Mesto m) throws Exception{
        try {
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D1");
            String upit= "INSERT INTO TMESTO VALUES(?,?)";
            PreparedStatement ps = konekcija.prepareStatement(upit);
            ps.setBigDecimal(1,new BigDecimal (m.getPtt()));
            ps.setString(2, m.getNaziv());
            ps.executeUpdate();
            ps.close();
            konekcija.close();
            
            
        } catch (SQLException ex) {  
            System.out.println(ex);
            System.out.println("Greska je:"+ "Verovatno mesto sa unetim ptt brojem postoji");
            throw new Exception("Mesto nije sacuvano");
            
            
        }
       
    }
    public static void prikaziSvaMesta(){
        try {
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D1");
            String upit = "SELECT * FROM TMESTO";
            Statement s = konekcija.createStatement();
            ResultSet rs = s.executeQuery(upit);
            
            while (rs.next()){
                long ptt = rs.getLong("ptt");
                String naziv = rs.getString("naziv");
                System.out.println(ptt + "\t"+ naziv);
                
            }
            rs.close();
            s.close();
            konekcija.close();
            
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
        
    }
    
    public static List<Mesto> vratiSvaMesta(){
        try {
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D1");
            String upit = "SELECT * FROM TMESTO";
            Statement s = konekcija.createStatement();
            ResultSet rs = s.executeQuery(upit);
            List<Mesto> listaMesta = new ArrayList<Mesto>();
            while (rs.next()){
                
                long ptt = rs.getLong("ptt");
                String naziv = rs.getString("naziv");
                Mesto m = new Mesto(ptt, naziv);
                listaMesta.add(m);
                
            }
            rs.close();
            s.close();
            konekcija.close();
            return listaMesta;
        } catch (SQLException ex) {
            ex.printStackTrace();
            return null;
        }
        
    }
    
    
    public void sacuvajListuFizickihLica(List<FizickoLice> listaFL) throws SQLException{
        
         Connection konekcija = DriverManager.getConnection("jdbc:odbc:D1");
         konekcija.setAutoCommit(false);
         String upitPartner= "INSERT INTO TPOSLOVNIPARTNER VALUES(?,?,?,?)";
         String upitFL = "INSERT INTO TFIZICKOLICE VALUES (?,?,?,?,?)";
         
         
         for (Iterator<FizickoLice> it = listaFL.iterator(); it.hasNext();) {
             try{
            FizickoLice fizickoLice = it.next();
            
            PreparedStatement ps = konekcija.prepareStatement(upitPartner);
            ps.setString(2, fizickoLice.getAdresa().getNazivUlice());
            ps.setString(3, fizickoLice.getAdresa().getBrojUlice());
            ps.setInt(4, (int)fizickoLice.getAdresa().getMesto().getPtt());

            ps.executeUpdate();
            
            ps = konekcija.prepareStatement(upitFL);
            ps.setString(2, fizickoLice.getImePrezime());
            //....
            ps.executeUpdate();
            
            konekcija.commit();
            konekcija.close();
            
             }catch(SQLException sqle){
                 System.out.println("GRESKA:"+sqle.getMessage());
                 konekcija.rollback();
             }
            
        }
         
         
            
        
    }
    
    
}
