/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import db.DbKomunikacija;
import domen.Mesto;
import java.util.List;
import kontekst.Kontekst;

/**
 *
 * @author student1
 */
public class Kontroler {
    private DbKomunikacija db;
    private Kontekst kontekst;
    private static Kontroler k;

    private Kontroler() {
        db = new DbKomunikacija();
        kontekst = new Kontekst();
    }
    
    public static Kontroler vratiObjekat() {
        if (k == null) {
            k = new Kontroler();
        }
        return k;
    }
    
    public void sacuvajMesto(Mesto mesto) throws Exception {
        db.ucitajDriver();
        db.uspostaviKonekciju();
        db.sacuvajMesto(mesto);
        db.zatvoriKonekciju();
    }
    
    public List<Mesto> vratiMesta() throws Exception {
        db.ucitajDriver();
        db.uspostaviKonekciju();
        List<Mesto> lm = db.vratiMesta();
        db.zatvoriKonekciju();
        return lm;
    }
}
