/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tabela.model;

import domen.FizickoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabeleFL extends AbstractTableModel {
    private List<FizickoLice> lista;

    public ModelTabeleFL(List<FizickoLice> lista) {
        this.lista = lista;
    }

    @Override
    public int getRowCount() {
        if (lista == null) {
            return 0;
        }
        return lista.size();
    }

    @Override
    public int getColumnCount() {
        return 8;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice f = (FizickoLice)lista.get(rowIndex);
        switch (columnIndex) {
            case 0: return f.getPartnerID();
            case 1: return f.getJMBG();
            case 2: return f.getIme();
            case 3: return f.getPrezime();
            case 4: return f.getGodRod();
            case 5: return f.vratiAdresu().getNazivUlice();
            case 6: return f.vratiAdresu().getBrojUlice();
            case 7: return f.vratiAdresu().getM();
            default: return "Greska";
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column) {
            case 0: return "PartnerID";
            case 1: return "JMBG";
            case 2: return "Ime";
            case 3: return "Prezime";
            case 4: return "GodRodj";
            case 5: return "Ulica";
            case 6: return "Broj";
            case 7: return "Mesto";
            default: return "";
                
        }
    }
}
