/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package tabela.model;

import domen.PravnoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class ModelTabelePl extends AbstractTableModel{

    private List<PravnoLice> lpl;

    public ModelTabelePl(List<PravnoLice> lpl) {
        this.lpl = lpl;
    }
    
    @Override
    public int getRowCount() {
        if(lpl==null)return 0;
        return lpl.size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
       PravnoLice pl = lpl.get(rowIndex);
       if(columnIndex==0) return pl.getNaziv();
       if(columnIndex==1) return pl.getMatbroj();
       if(columnIndex==2) return pl.getZr();
       if(columnIndex==3) return pl.vratiAdresu().getNazivUlice();
       if(columnIndex==4) return pl.vratiAdresu().getM().getNaziv();
       
        return "Nikad";
    }
    
}
