/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import konstante.Konstante;
import transfer.KlijentTransferObjekat;
import transfer.ServerTransferObjekat;

/**
 *
 * @author student1
 */
public class Server {

    public static void main(String[] args) {
        try {
            ServerSocket serverSocket = new ServerSocket(9000);
            Socket socket = serverSocket.accept();
            opsluziKlijenta(socket);
        } catch (IOException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    private static void opsluziKlijenta(Socket socket) throws IOException, ClassNotFoundException {
        ObjectInputStream inSocket = new ObjectInputStream(socket.getInputStream());
        while (true) {
            KlijentTransferObjekat obj = (KlijentTransferObjekat) inSocket.readObject();
            int operacija = obj.getOperacija();

            ServerTransferObjekat sto = new ServerTransferObjekat();
            
            switch (operacija) {
                case Konstante.SACUVAJ_MESTO:
                    try {
                        kontroler.Kontroler.vratiObjekat().sacuvajMesto((Mesto) obj.getPodaci());
                        sto.setSignal(true);
                        sto.setPoruka("Novo mesto je sacuvano u sistemu!");
                    } catch (Exception ex) {
                        sto.setSignal(false);
                        sto.setPoruka("Mesto nije sacuvano!");
                        Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
                    }
                    break;
            }
            ObjectOutputStream outSocket = new ObjectOutputStream(socket.getOutputStream());
            outSocket.writeObject(sto);

        }
    }
}
