/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.partner.modeltabele;

import domen.FizickoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class FizickoLiceTableModel extends AbstractTableModel{

    List<FizickoLice>listaFizickihLica;

    public FizickoLiceTableModel(List<FizickoLice> listaFizickihLica) {
        this.listaFizickihLica = listaFizickihLica;
    }
    
    
    
    
    @Override
    public int getRowCount() {
        return listaFizickihLica.size();
    }

    @Override
    public int getColumnCount() {
        return 7;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        
        FizickoLice fl = listaFizickihLica.get(rowIndex);
        
        switch (columnIndex){
            
            case 0: return fl.getJmbg();
                
            case 1: return fl.getIme();
            
            case 2: return fl.getPrezime();
                
            case 3: return fl.getGodRodj();
                
            case 4: return fl.getAdresa().getNazivUlice();
                
            case 5: return fl.getAdresa().getBrojUlice();
                
            case 6: return fl.getAdresa().getMesto();
                
            default: return "NEPOZNATO";
        }
            
        
        
    }

    @Override
    public String getColumnName(int column) {
       
        switch (column){
            
            case 0: return "jmbg" ;
            case 1: return "ime";
            case 2: return "prezime";
            case 3: return "godina rodjenja";
            case 4: return "ulica";
            case 5: return "broj";
            case 6: return "mesto";
            default: return "NEPOZNATO";
            
            
        }
        
        
        
        
    }
    
    
    
    
}
