/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.FizickoLice;
import domen.Mesto;
import domen.PoslovniPartner;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class KolekcijaPoslovnihPatnera {
    private static List<PoslovniPartner> lp = new ArrayList<>();
    
    public static void dodajPoslovnogPartnera(PoslovniPartner pp) {
        lp.add(pp);
    }
    
    public static List<PoslovniPartner> vratiSvePartnere() {
        return lp;
    }
    
    public static List<PoslovniPartner> vratiSvePartnere(Mesto mesto) {
        List<PoslovniPartner> listaPartnera = new ArrayList<>();
        for (PoslovniPartner p : lp) {
            if (p.getAdresa().getMesto().equals(mesto)) {
                listaPartnera.add(p);
            }
        }
        return listaPartnera;
    }
    
    
    public static List<FizickoLice> vratiSvaFizickaLica(){
        
        List<FizickoLice> listaFL = new ArrayList<>();
        
        for (int i = 0; i < lp.size(); i++) {
            
            try{
                FizickoLice fizickoLice = (FizickoLice) lp.get(i);
                listaFL.add(fizickoLice);
            }catch(Exception e){
                // desice se izuzetak kada je partner PravnoLice a
                // tada ne treba nista da se radi vec samo da se preskoci taj partner
            }
        }
        
        return listaFL;
    }
    
}
