/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package db;

import domen.FizickoLice;
import domen.Mesto;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student1
 */
public class DBBroker {
    
    
    
    public void sacuvajMesto(Mesto m) throws Exception{
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2_Partneri");
            
//            String upit = "INSERT INTO MESTO VALUES ("+m.getPtt()+",'"+m.getNaziv()+"')";
//            Statement naredba = konekcija.createStatement();
//            naredba.executeUpdate(upit);
            
            
              String upit = "INSERT INTO MESTO VALUES (?,?)";
              PreparedStatement naredba = konekcija.prepareStatement(upit);
              naredba.setInt(1, m.getPtt());
              naredba.setString(2, m.getNaziv());
              naredba.executeUpdate();
            
              konekcija.close();
              
            
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception("Nije uspesno ucitan drajver!!!");
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
    
    
    public ArrayList<Mesto> vratiSvaMesta() throws Exception{
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2_Partneri");
            
            
            String upit = "SELECT * FROM MESTO";
            Statement naredba = konekcija.createStatement();
            ResultSet rs = naredba.executeQuery(upit);
            ArrayList<Mesto> listaMesta = new ArrayList<>();
            
            while (rs.next()){
                
                Mesto m = new Mesto();
                
                m.setPtt(rs.getInt("ptt"));
                m.setNaziv(rs.getString("naziv"));
                
                listaMesta.add(m);
            }
            
            return listaMesta;
            
        } catch (ClassNotFoundException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw new Exception("Nije ucitan drajver!!!");
        } catch (SQLException ex) {
            Logger.getLogger(DBBroker.class.getName()).log(Level.SEVERE, null, ex);
            throw ex;
        }
           
                
    }
    
    public void sacuvajSvaFizickaLica(List<FizickoLice> listaFL) throws Exception{
        
         Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
         Connection konekcija = DriverManager.getConnection("jdbc:odbc:D2_Partneri");
         konekcija.setAutoCommit(false);
         
         String upitPP = "INSERT INTO POSLOVNIPARTNER VALUES (?,?,?,?)";
        
         
         String upitFL = "INSERT INTO FIZICKOLICE VALUES (?,?,?,?,?)";
         
         
         for (Iterator<FizickoLice> it = listaFL.iterator(); it.hasNext();) {
            FizickoLice fizickoLice = it.next();
            try{
            PreparedStatement ps = konekcija.prepareStatement(upitPP);
            ps.setInt(1, fizickoLice.getPartnerID());
            ps.setString(2, fizickoLice.getAdresa().getNazivUlice());
            ps.setString(3, fizickoLice.getAdresa().getBroj());
            ps.setLong(4, fizickoLice.getAdresa().getMesto().getPtt());
            
            ps.executeUpdate();
            
            ps = konekcija.prepareStatement(upitFL);
            ps.setInt(1, fizickoLice.getPartnerID());
            ps.setString(2, fizickoLice.getJmbg());
            ps.setString(3, fizickoLice.getIme());
            ps.setString(4, fizickoLice.getPrezime());
            ps.setInt(5, fizickoLice.getGodRodj());
            
            ps.executeUpdate();
            
            konekcija.commit();
            
            }catch(Exception ex){
                ex.printStackTrace();
                konekcija.rollback();
            }
            
        }

        
        
    }
    
    
}
