/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package remote;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;

/**
 *
 * @author student1
 */
public class KomunikacijaKlijent {
    
    private static KomunikacijaKlijent instance;

    ObjectOutputStream out;
    ObjectInputStream in;
    
    private KomunikacijaKlijent() throws IOException {
        Socket vezaSaServerom = new Socket("localhost", 9800);
        out = new ObjectOutputStream(vezaSaServerom.getOutputStream());
        in = new ObjectInputStream(vezaSaServerom.getInputStream());
    }
    
    public static KomunikacijaKlijent getInstance() throws IOException{
        if (instance==null){
            instance = new KomunikacijaKlijent();
        }
        return instance;
    }
    
    public void posaljiTransferObjekat(TransferKlasa tk) throws IOException{
        out.writeObject(tk);
    }
    
    public TransferKlasa procitajTransferObjekat() throws Exception{
        return (TransferKlasa) in.readObject();
    }
    
}
