/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.modeltabele;

import domen.Mesto;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelMesto extends AbstractTableModel{

    ArrayList<Mesto> listaMesta;

    public TableModelMesto(ArrayList<Mesto> listaMesta) {
        this.listaMesta = listaMesta;
    }
    
    
    
    @Override
    public int getRowCount() {
        return listaMesta.size();
    }

    @Override
    public int getColumnCount() {
        return 2;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        Mesto m = listaMesta.get(rowIndex);
        
        switch (columnIndex){
            
            case 0: return m.getPtt();
            case 1: return m.getNaziv();
            default: return "NEPOZNATO";
            
        }
    }

    @Override
    public String getColumnName(int column) {
        switch (column){
            
            case 0: return "PTT";
            case 1: return "NAZIV";
            default: return "NEPOZNATO";
            
        }
    }
    
    
    
}
