/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.modeltabele;

import domen.Otpremnica;
import domen.Proizvod;
import domen.StavkaOtpreminice;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelStavkeOtrpremnice extends AbstractTableModel{

    Otpremnica otpr;

    public TableModelStavkeOtrpremnice(Otpremnica otpr) {
        this.otpr = otpr;
    }
    
    
    
    
    
    @Override
    public int getRowCount() {
        return otpr.getListaStavki().size();
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
            StavkaOtpreminice stavka = otpr.getListaStavki().get(rowIndex);
         
            switch (columnIndex){
                case 0: return stavka.getRbStavke();
                case 1: return stavka.getProizvod();
                case 2: if (stavka.getProizvod()!=null)
                            return stavka.getProizvod().getCena();
                else return null;
                case 3: return stavka.getKolicina();
                case 4: return stavka.getIznos();
                default: return "NEPOZNATO";
                
            }
            
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {

        StavkaOtpreminice stavka = otpr.getListaStavki().get(rowIndex);
         
            switch (columnIndex){
                case 0: stavka.setRbStavke((Integer)aValue);
                        break;
                case 1: stavka.setProizvod((Proizvod)aValue);
                        stavka.setIznos(stavka.getProizvod().getCena()*stavka.getKolicina());
                        fireTableDataChanged();
                    break;
                case 2: 
                    break;
                case 3: stavka.setKolicina((Double)aValue);
                        stavka.setIznos(stavka.getProizvod().getCena()*stavka.getKolicina());
                        fireTableDataChanged();
                    break;
                case 4: stavka.setIznos((Double)aValue);
                    break;
                    
            }
        
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        
        switch(columnIndex){
            
            case 0: return Integer.class;
            case 1: return Proizvod.class;
            case 2: return Double.class;
            case 3: return Double.class;
            case 4: return Double.class;
            default: return Object.class;
            
        }
        
    }
    
    
    
    public void dodajNovuStavkuStavku(){
        otpr.dodajNovuStavku();
        fireTableDataChanged();
        
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if (columnIndex==2 || columnIndex==4){
            return false;
        }
        return true;
    }

    @Override
    public String getColumnName(int column) {
        switch(column){
            
            case 0: return "rb.";
            case 1: return "prozivod";
            case 2: return "cena";
            case 3: return "kolicina";
            case 4: return "iznos";
            default: return "nepoznato";
            
        }
    }
    
    
    
    
}
