/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.partner.model;

import domen.FizickoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Korisnik
 */
public class FizickoLiceModelTabele extends AbstractTableModel {

    private List<FizickoLice> fl;

    public FizickoLiceModelTabele(List<FizickoLice> l) {
        this.fl = l;
    }

    @Override
    public int getRowCount() {
        if (fl != null) {
            return fl.size();
        } else {
            return 0;
        }
    }

    @Override
    public int getColumnCount() {
        return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice p = fl.get(rowIndex);

        if (columnIndex == 0) {
            return p.getIme();
        }
        if (columnIndex == 1) {
            return p.getPrezime();
        }
        if (columnIndex == 2) {
            return p.getGodRodj();
        }
        if (columnIndex == 3) {
            return p.getJmbg();
        }
        if (columnIndex == 4) {
            return p.getAdresa();
        }
        return "n/a";
    }

    @Override
    public String getColumnName(int column) {

        switch (column) {
            case 0:
                return "Ime";
            case 1:
                return "Prezime";
            case 2:
                return "Godina rodjenja";
            case 3:
                return "JMBG";
            case 4:
                return "Adresa";
            default:
                return "n/a";
        }
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if (columnIndex == 0) {
            return true;
        }
        return false;
    }
}
