/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package kontroler;

import baza.DbKomunikacija;
import domen.Mesto;
import java.util.List;

/**
 *
 * @author student1
 */
public class Kontroler {
    private DbKomunikacija db;
    private static Kontroler k;
    
    private Kontroler() {
        db = new DbKomunikacija();
    }
    
    public static Kontroler vratiObjekat() {
        if (k == null) {
            k = new Kontroler();
        }
        return k;
    }
    
    public void sacuvajMesto(Mesto mesto) throws Exception {
        db.ucitajDriver();
        db.otvoriKonekciju();
        db.sacuvajMesto(mesto);
        db.zatvoriKonekciju();
    }
    
    public List<Mesto> vratiMesta() throws Exception {
        db.ucitajDriver();
        db.otvoriKonekciju();
        List<Mesto> listaMesta = db.vratiMesta();
        db.zatvoriKonekciju();
        return listaMesta;
    }
}
