/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.FizickoLice;
import domen.Mesto;
import domen.PoslovniPartner;
import domen.PravnoLice;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class KolekcijaPoslovnihPatnera {

    private static List<PoslovniPartner> lp = new ArrayList<>();

    public static void dodajPoslovnogPartnera(PoslovniPartner pp) {
        lp.add(pp);
    }

    public static List<PoslovniPartner> vratiSvePartnere() {
        return lp;
    }

    public static List<PoslovniPartner> vratiSvePartnere(Mesto mesto) {
        List<PoslovniPartner> listaPartnera = new ArrayList<>();
        for (PoslovniPartner p : lp) {
            if (p.getAdresa().getMesto().equals(mesto)) {
                listaPartnera.add(p);
            }
        }
        return listaPartnera;
    }

    public static List<PravnoLice> vratiPravnaLica() {
        List<PravnoLice> listaPravnih = new ArrayList<PravnoLice>();
        for (PoslovniPartner p : lp) {
            if (p instanceof PravnoLice) {
                listaPravnih.add((PravnoLice) p);
            }
        }
        return listaPravnih;
    }

    public static List<FizickoLice> vratiSvaFizickaLica() {
        List<FizickoLice> listaFL = new ArrayList<>();
        for (PoslovniPartner pP : lp) {
            if (pP instanceof FizickoLice) {
                listaFL.add((FizickoLice) pP);
            }
        }
        return listaFL;
    }
}
