/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package baza;

import domen.Mesto;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class DBKomunikacija {

    private Connection konekcija;

    public void ucitajDrajver() throws Exception {
        Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
    }

    public void otvoriKonekciju() throws Exception {
        konekcija = DriverManager.getConnection("jdbc:odbc:d2");
    }

    public void zatvoriKonekciju() throws Exception {
        konekcija.close();
    }

    public void sacuvajMesto(Mesto m) throws Exception {
        try {
            String sql = "INSERT INTO Mesto VALUES (?,?)";
            PreparedStatement sqlNaredba = konekcija.prepareStatement(sql);
            //sqlNaredba.setLong(1, m.getPtt());
            sqlNaredba.setBigDecimal(1, new BigDecimal(m.getPtt()));
            sqlNaredba.setString(2, m.getNaziv());
            sqlNaredba.executeUpdate();
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new Exception("Mesto nije sacuvano!");
        }
    }

    public List<Mesto> vratiMesta() throws Exception {
        List<Mesto> listaMesta = new ArrayList<Mesto>();
        try {
            String sqlUpit = "SELECT * FROM Mesto";
            Statement sqlNaredba = konekcija.createStatement();
            ResultSet mesta = sqlNaredba.executeQuery(sqlUpit);

            while (mesta.next()) {
                long ptt = mesta.getLong(1);
                String naziv = mesta.getString("naziv");
                Mesto mesto = new Mesto(ptt, naziv);
                listaMesta.add(mesto);
            }
        } catch (Exception ex) {
            ex.printStackTrace();
            throw new Exception("Greska pri ucitavanju mesta");
        }
        return listaMesta;
    }
}
