/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forme.partner.model;

import domen.PravnoLice;
import java.util.List;
import javax.swing.table.AbstractTableModel;
import model.KolekcijaPartnera;

/**
 *
 * @author student1
 */
public class PravnoLiceModelTabele extends AbstractTableModel{

    private List<PravnoLice> listaPL;

    public PravnoLiceModelTabele(List<PravnoLice> listaPL) {
        this.listaPL = listaPL;
    }
    
    @Override
    public int getRowCount() {
        if(listaPL!=null)
            return listaPL.size();
        
        return 0;
    }

    @Override
    public int getColumnCount() {
        return 4;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        PravnoLice p = listaPL.get(rowIndex);
        
        if(columnIndex==0)
            return p.getNaziv();
        if(columnIndex==1)
            return p.getMatBroj();
        if(columnIndex==2)
            return p.getZr();
        if(columnIndex==3)
            return p.getAdresa();
        return "n/a";
    }

    @Override
    public String getColumnName(int column) {
        
        switch (column){
            case 0: return "Naziv";
            case 1: return "Maticni broj";
            case 2: return "Ziro-racun";
            case 3: return "Adresa";
                default: return "n/a";
        }
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if(columnIndex==0) return true;
        return false;
    }
    
    
    
    
    
}
