/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package klijent.komunikacija;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.net.UnknownHostException;
import transfer.TransferObjekat;

/**
 *
 * @author student1
 */
public class Komunikacija {

    private Socket soket;
    private static Komunikacija k;

    private Komunikacija() throws UnknownHostException, IOException {
        soket = new Socket("127.0.0.1", 9090);
    }

    public static Komunikacija vratiObjekat() throws UnknownHostException, IOException {
        if (k == null) {
            k = new Komunikacija();
        }
        return k;
    }
    
    public void posalji(TransferObjekat objekat) throws IOException{
        ObjectOutputStream output = new ObjectOutputStream(soket.getOutputStream());
        output.writeObject(objekat);
    }
    
    public TransferObjekat primi() throws IOException, ClassNotFoundException{
        ObjectInputStream input = new ObjectInputStream(soket.getInputStream());
        return (TransferObjekat) input.readObject();
    }
}
