/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package server;

import domen.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;
import transfer.KlijentTransferObjekat;
import transfer.ServerTransferObjekat;

/**
 *
 * @author student1
 */
public class Server {

    public static void main(String[] args) {
        try {
            ServerSocket ss = new ServerSocket(9000);
            System.out.println("Server program je pokrenut i ceka klijenta!");
            Socket s = ss.accept();
            System.out.println("Server je prihvatio klijenta!");
            opsluziKlijenta(s);
        } catch (IOException ex) {
            System.out.println("GRESKA: " + ex.getMessage());
        }
    }

    private static void opsluziKlijenta(Socket s) {
        try {
            ObjectInputStream inSoket;
            ObjectOutputStream outSoket;
            while (true) {
                inSoket = new ObjectInputStream(s.getInputStream());
                try {
                    Object obj = inSoket.readObject();

                    KlijentTransferObjekat kto = (KlijentTransferObjekat) obj;
                    int operacija = kto.getOperacija();
                    ServerTransferObjekat sto = new ServerTransferObjekat();

                    switch (operacija) {
                        case konstante.Konstante.SACUVAJ_MESTO:
                            Object podatak = kto.getPodatak();
                            try {
                                kontroler.Kontroler.vratiObjekat().sacuvajMesto((Mesto) podatak);
                                sto.setUspesnostIzvrsenjaOperacije(true);
                                sto.setPoruka("Mesto je sacuvano");
                            } catch (Exception ex) {
                                Logger.getLogger(Server.class.getName()).log(Level.SEVERE, null, ex);
                                sto.setUspesnostIzvrsenjaOperacije(false);
                                sto.setPoruka("Mesto nije sacuvano");
                            }
                            break;
                    }

                    outSoket = new ObjectOutputStream(s.getOutputStream());
                    outSoket.writeObject(sto);
                } catch (ClassNotFoundException ex) {
                    System.out.println("Greska: " + ex.getMessage());
                }
            }
        } catch (IOException ex) {
            System.out.println("Greska: " + ex.getMessage());
        }

    }
}
