/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package logic;

import domain.Mesto;
import domain.PoslovniPartner;
import java.util.ArrayList;

/**
 *
 * @author student1
 */
public class Kontroler {
    private ArrayList<Mesto> mesta;
    private ArrayList<PoslovniPartner> partneri;
    
    private Kontroler(){
        mesta=new ArrayList<Mesto>();
        partneri=new ArrayList<PoslovniPartner>();
    }
    
    private static Kontroler instance;
    public static Kontroler getInstance(){
        if(instance==null){
            instance=new Kontroler();
        }
        return instance;
    }
    
    public void ubaciMesto(Mesto mesto){
        mesta.add(mesto);
    }
    
    public ArrayList<Mesto> vratiSvaMesta(){
        return this.mesta;
    }
    
    public void ubaciPoslovnogPartnera(PoslovniPartner partner){
       partneri.add(partner);
    }
    public ArrayList<PoslovniPartner> vratiSvePartnere(){
        return this.partneri;
    }
}
