/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.FizickoLice;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelFizickaLica extends AbstractTableModel{

    ArrayList<FizickoLice> fizickaLica;
    String[] columnNames=new String[]{"Ime","Prezime","JMBG","Ulica","Broj","Mesto","Kontakt"};

    public TableModelFizickaLica(ArrayList<FizickoLice> fizickaLica) {
        this.fizickaLica = fizickaLica;
    }
    
    
    
    @Override
    public String getColumnName(int column) {
        return columnNames[column];
    }
    
    @Override
    public int getRowCount() {
        return fizickaLica.size();
    }

    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        FizickoLice fizickoLice=fizickaLica.get(rowIndex);
        switch(columnIndex){
            case 0: return fizickoLice.getIme();
            case 1: return fizickoLice.getPrezime();
            case 2: return fizickoLice.getJmbg();
            case 3: return fizickoLice.getAdresa().getUlica();
            case 4: return fizickoLice.getAdresa().getBroj();
            case 5: return fizickoLice.getAdresa().getMesto();
            case 6: return fizickoLice.getKontakt();
            default: return "N/A";
        }
    }
    
}
