/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.Otpremnica;
import domain.Proizvod;
import domain.StavkaOtpremnice;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelStavkeOtpremnice extends AbstractTableModel{

    private Otpremnica otpremnica;
    private String[] columnNames=new String[]{"RB", "Proizvod", "Kolicina", "Iznos"};
    
    public TableModelStavkeOtpremnice(Otpremnica otpremnica){
        this.otpremnica=otpremnica;
    }

    @Override
    public String getColumnName(int column) {
        return columnNames[column]; //To change body of generated methods, choose Tools | Templates.
    }
    
    
    
    @Override
    public int getRowCount() {
        return otpremnica.getListaStavki().size();
    }

    @Override
    public int getColumnCount() {
        return columnNames.length;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        StavkaOtpremnice so=otpremnica.getListaStavki().get(rowIndex);
        switch(columnIndex){
            case 0: return so.getRbStavke();
            case 1: return so.getProizvod();
            case 2: return so.getKolicina();
            case 3: return so.getIznos();
                default: return null;
        }
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        StavkaOtpremnice so=otpremnica.getListaStavki().get(rowIndex);
        switch(columnIndex){
            case 0: so.setRbStavke(Integer.parseInt(aValue.toString()));break;
            case 1: so.setProizvod((Proizvod)aValue);so.setIznos(so.getKolicina()*so.getProizvod().getCena());fireTableDataChanged();break;
            case 2: so.setKolicina(Integer.parseInt(aValue.toString()));so.setIznos(so.getKolicina()*so.getProizvod().getCena());fireTableDataChanged();break;
            case 3: so.setIznos(so.getKolicina()*so.getProizvod().getCena());break;
        }
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if(columnIndex == 0 || columnIndex == 3){
            return false;
        }
        return true;
    }
    
    public void dodajStavku(){
        otpremnica.dodajStavkuOtpremnice();
        fireTableDataChanged();
    }
    
    public Otpremnica vratiOtpremnicu(){
        return otpremnica;
    }
    
    public double vratiUkupanIznos(){
        double iznos=0;
        for (StavkaOtpremnice so : otpremnica.getListaStavki()) {
            iznos+=so.getIznos();
        }
        return iznos;
    }
    
    
    
    
    
}
