/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package view.model;

import domain.Proizvod;
import domain.StavkaOtpremnice;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author student1
 */
public class TableModelStavkeOtpremnice extends AbstractTableModel {

    ArrayList<StavkaOtpremnice> listaStavki;

    public TableModelStavkeOtpremnice(ArrayList<StavkaOtpremnice> listaStavki) {
        this.listaStavki = listaStavki;
    }
    
    
    
    @Override
    public int getRowCount() {
        return listaStavki.size();
    }

    @Override
    public int getColumnCount() {
       return 5;
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        StavkaOtpremnice so = listaStavki.get(rowIndex);
        switch(columnIndex){
            case 0: return so.getRbStavke();
            case 1: return so.getProizvod();
            case 2: return so.getKolicina();
            case 3: return so.getProizvod().getCena();
            case 4: return so.getIznos();
            default: return "nepoznato";
                       
        }
    }
    
    public void dodajStavku(StavkaOtpremnice so){
        listaStavki.add(so);
        fireTableDataChanged();
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        if (columnIndex<3) return true;
        return false;
    }

    @Override
    public String getColumnName(int column) {
        switch(column){
        
            case 0: return "rb";
            case 1: return "proizvod";
            case 2: return "kolicina";
            case 3: return "cena";
            case 4: return "iznos";
           default: return "nepoznato";
         }      
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        StavkaOtpremnice so = listaStavki.get(rowIndex);
        
        switch(columnIndex){
            
            case 0: so.setRbStavke(Integer.parseInt(String.valueOf(aValue)));
                    break;
            case 1: so.setProizvod((Proizvod) aValue);                    
                    so.setIznos(so.getKolicina()*so.getProizvod().getCena());
                    break;
            case 2: so.setKolicina(Integer.parseInt(String.valueOf(aValue)));
                    so.setIznos(so.getKolicina()*so.getProizvod().getCena());
                    break;
                
        }
    }
    
    
    
    
    
    
    
}
