/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package remote;

import domain.Mesto;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutput;
import java.io.ObjectOutputStream;
import java.net.Socket;
import java.net.UnknownHostException;
import java.sql.SQLException;

/**
 *
 * @author student1
 */
public class Komunikacija {
    Socket socket;
    private Komunikacija() throws UnknownHostException, IOException{
        socket=new Socket("localhost", 9000);
    }
    private static Komunikacija instance=null;
    public static Komunikacija getInstance() throws UnknownHostException, IOException{
        if(instance==null){
            instance=new Komunikacija();
            
        }
        return instance;
    }
    
    public void ubaciMesto(Mesto mesto)throws Exception{
        ObjectOutputStream out = new ObjectOutputStream(socket.getOutputStream());
        ObjectInputStream in=new ObjectInputStream(socket.getInputStream());
        TransferniObjekat to=new TransferniObjekat(TransferniObjekat.UBACI_MESTO, mesto);
        out.writeObject(to);
        to=(TransferniObjekat)in.readObject();
        if(to.getIzuzetak()!=null){
            Exception e=(Exception)to.getIzuzetak();
            throw e;
        }
    }
    
}
