/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package logic;

import db.DatabaseBroker;
import java.sql.SQLException;

/**
 *
 * @author student1
 */
public abstract class OpstaSistemskaOperacija {
    public DatabaseBroker dbbr;

    public OpstaSistemskaOperacija() {
        dbbr=new DatabaseBroker();
    }
    
    
    
    public void opsteIzvrsenjeSO() throws Exception{
        otvoriBazu();
        try{
            izvrsenjeOperacije();
            commitOperacije();
        }catch(Exception e){
            rollbackOperacije();
            throw e;
        }
        zatvoriBazu();
        
    }

    private void otvoriBazu() throws ClassNotFoundException, SQLException {
        dbbr.otvoriBazu();
    }

    public abstract void izvrsenjeOperacije() throws Exception;

    private void commitOperacije() throws SQLException {
        dbbr.commitTransakcije();
    }

    private void rollbackOperacije() throws SQLException {
        dbbr.rollbackTransakcije();
    }

    private void zatvoriBazu() throws SQLException {
        dbbr.zatvoriBazu();
    }
    
}
