/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *
 * @author Korisnik
 */
public class Otpremnica implements Serializable {
    private int otpremnicaID;
    private Date datum;
    private double ukupanIznos;
    private PoslovniPartner poslovniPartner;
    private List<StavkaOtpremnice> listaStavki;
    
    public Otpremnica() {
        listaStavki = new ArrayList<StavkaOtpremnice>();
    }

    public Otpremnica(int otpremnicaID, Date datum, double ukupanIznos, PoslovniPartner poslovniPartner, List<StavkaOtpremnice> listaStavki) {
        this.otpremnicaID = otpremnicaID;
        this.datum = datum;
        this.ukupanIznos = ukupanIznos;
        this.poslovniPartner = poslovniPartner;
        this.listaStavki = listaStavki;
    }

    /**
     * @return the otpremnicaID
     */
    public int getOtpremnicaID() {
        return otpremnicaID;
    }

    /**
     * @param otpremnicaID the otpremnicaID to set
     */
    public void setOtpremnicaID(int otpremnicaID) {
        this.otpremnicaID = otpremnicaID;
    }

    /**
     * @return the datum
     */
    public Date getDatum() {
        return datum;
    }

    /**
     * @param datum the datum to set
     */
    public void setDatum(Date datum) {
        this.datum = datum;
    }

    /**
     * @return the ukupanIznos
     */
    public double getUkupanIznos() {
        return ukupanIznos;
    }

    /**
     * @param ukupanIznos the ukupanIznos to set
     */
    public void setUkupanIznos(double ukupanIznos) {
        this.ukupanIznos = ukupanIznos;
    }

    /**
     * @return the poslovniPartner
     */
    public PoslovniPartner getPoslovniPartner() {
        return poslovniPartner;
    }

    /**
     * @param poslovniPartner the poslovniPartner to set
     */
    public void setPoslovniPartner(PoslovniPartner poslovniPartner) {
        this.poslovniPartner = poslovniPartner;
    }

    /**
     * @return the listaStavki
     */
    public List<StavkaOtpremnice> getListaStavki() {
        return listaStavki;
    }

    /**
     * @param listaStavki the listaStavki to set
     */
    public void setListaStavki(List<StavkaOtpremnice> listaStavki) {
        this.listaStavki = listaStavki;
    }
    
    public void dodajStavkuOtpremnice() {
        int rbStavke = listaStavki.size() + 1;
        listaStavki.add(new StavkaOtpremnice(rbStavke, 0, 0, new Proizvod()));
    }
    
    public void izracunajUkupanIznos() {
        ukupanIznos = 0;
        for (StavkaOtpremnice s : listaStavki) {
            ukupanIznos = ukupanIznos + s.getIznos();
        }
    }
}
